<!--
 * @Author: WangJiaCheng
 * @Date: 2021-05-07 11:37:27
 * @LastEditors: WangJiaCheng
 * @LastEditTime: 2021-05-07 11:41:28
 * @Description:
-->
<template>
  <div id="app">
    <router-view />
  </div>
</template>

<script>
export default {
  mounted() {
    // 取消开始的loading动画
    const preLoader = document.querySelector('#pre-loader')
    preLoader.style.display = 'none'

    // fix: firefox 下 拖拽 会新打卡一个选项卡
    // https://github.com/JakHuang/form-generator/issues/15
    document.body.ondrop = event => {
      event.preventDefault()
      event.stopPropagation()
    }
  }
}
</script>
